## CamelMimeFilterBasic

CamelMimeFilterBasic

## Functions

CamelMimeFilter * | camel_mime_filter_basic_new ()

## Types and Values

struct | CamelMimeFilterBasic
enum | CamelMimeFilterBasicType

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterBasic

## Description

## Functions

### camel_mime_filter_basic_new ()

    CamelMimeFilter *
    camel_mime_filter_basic_new (CamelMimeFilterBasicType type);

Create a new CamelMimeFilterBasic object of type `type` .

#### Parameters

type | a CamelMimeFilterBasicType type |

#### Returns

a new CamelMimeFilterBasic object

## Types and Values

### struct CamelMimeFilterBasic

    struct CamelMimeFilterBasic;

### enum CamelMimeFilterBasicType

#### Members

CAMEL_MIME_FILTER_BASIC_INVALID |  |
CAMEL_MIME_FILTER_BASIC_BASE64_ENC |  |
CAMEL_MIME_FILTER_BASIC_BASE64_DEC |  |
CAMEL_MIME_FILTER_BASIC_QP_ENC |  |
CAMEL_MIME_FILTER_BASIC_QP_DEC |  |
CAMEL_MIME_FILTER_BASIC_UU_ENC |  |
CAMEL_MIME_FILTER_BASIC_UU_DEC |  |